Get customer by reference id
curl --request GET \
--url https://api.debbiecollect.com/v1/{tenantId}/customers/by-reference-id/{referenceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/customers/by-reference-id/{referenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.debbiecollect.com/v1/{tenantId}/customers/by-reference-id/{referenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creditorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referenceId": "<string>",
"isCompany": true,
"users": [
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"contact": true,
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"name": "<string>",
"cpr": "<string>",
"cvr": "<string>",
"email": "<string>",
"phone": {
"number": "<string>",
"locale": "<string>"
},
"address": {
"address": "<string>",
"zipcode": "<string>",
"city": "<string>",
"coAddress": "<string>",
"country": "<string>"
},
"geocode": {
"latitude": 123,
"longitude": 123
}
}
}
],
"cases": [
{
"caseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"statusTime": "<string>",
"createdAt": "<string>"
}
]
}Customers
Get customer by reference id
Get a customer by customer reference id
GET
/
v1
/
{tenantId}
/
customers
/
by-reference-id
/
{referenceId}
Get customer by reference id
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the customer is related to
Customer id that the customer is related to
Query Parameters
Creditor id that the customer is related to
Response
Successful operation
Id of creditor
Customer created at
Id of the customer
Id of the tenant
Reference id of the customer. Typically id of the customer, client, patient or similar.
Whether the customer is a company.
List of users related to this customer
Show child attributes
Show child attributes
List of cases related to this customer
Show child attributes
Show child attributes
⌘I